html{

    scroll-behavior:smooth;

}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family: Arial, sans-serif;
}


body{
    background:#0f172a;
    color:white;
}


header{
    padding:20px 8%;
}


header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    padding:25px 8%;
    z-index:1000;
    backdrop-filter:blur(15px);
    background:rgba(15,23,42,0.6);
}


nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
}


nav h2{
    font-size:30px;
    color:#f97316;
    letter-spacing:2px;
}


nav ul{
    display:flex;
    gap:40px;
    list-style:none;
}


nav ul li a{

    color:white;
    text-decoration:none;
    font-size:17px;

    position:relative;

    transition:0.4s;

}


nav ul li a::after{

    content:"";

    position:absolute;

    width:0;

    height:3px;

    background:#f97316;

    left:0;

    bottom:-8px;

    transition:0.4s;

}


nav ul li a:hover::after{

    width:100%;

}


nav ul li a:hover{

    color:#f97316;

}


nav ul li a:active{

    transform:scale(0.8);

}
section{

    scroll-margin-top:100px;

}

.hero{
    min-height:90vh;
    display:flex;
    align-items:center;
    padding:0 8%;
}


.hero h1{
    font-size:50px;
}


.hero span{
    color:#f97316;
}


.hero h2{
    margin:20px 0;
    font-size:30px;
}


.hero p{
    max-width:600px;
    font-size:18px;
    line-height:1.6;
}


.btn{

    display:inline-block;
    margin-top:30px;

    padding:15px 35px;

    background:#f97316;

    color:white;

    text-decoration:none;

    border-radius:30px;

    position:relative;

    overflow:hidden;

    transition:0.4s;

}


.btn:hover{

    transform:scale(1.1);

    box-shadow:0 0 30px #f97316;

}
.hero{

    display:flex;

    justify-content:space-between;

    align-items:center;

    min-height:100vh;

    padding:120px 8% 0;

    gap:50px;

}


.hero-text{
    flex:1;
}


.hero-image{
    flex:1;
    display:flex;
    justify-content:center;
}

.hero-image img{

    width:350px;
    height:350px;
    object-fit:cover;

    border-radius:50%;

    border:5px solid #f97316;

    animation: floatImage 4s ease-in-out infinite;

    box-shadow:0 0 40px rgba(249,115,22,0.5);

}


@keyframes floatImage{

    0%,100%{

        transform:translateY(-200);

    }

    50%{

        transform:translateY(-50px);

    }

}

.hero-tags{

    display:flex;

    gap:15px;

    margin-top:35px;

    flex-wrap:wrap;

}



.hero-tags span{

    padding:10px 18px;

    background:rgba(255,255,255,0.08);

    border-radius:30px;

    font-size:14px;

    border:1px solid rgba(255,255,255,0.1);

    transition:.4s;

}



.hero-tags span:hover{

    background:#f97316;

    transform:translateY(-5px);

}
.about{

    padding:120px 8%;
    position:relative;
    overflow:hidden;

}


.about-header{

    text-align:center;
    margin-bottom:60px;

}


.about-header span{

    color:#f97316;
    letter-spacing:5px;
    font-size:14px;

}


.about-header h2{

    font-size:50px;
    margin-top:15px;

}



.about-box{

    position:relative;
    max-width:1000px;
    margin:auto;

    padding:50px;

    background:rgba(255,255,255,0.05);

    border-radius:30px;

    backdrop-filter:blur(20px);

    border:1px solid rgba(255,255,255,0.1);

    overflow:hidden;

    transition:0.6s;

}



.about-box:hover{

    transform:translateY(-15px);

    box-shadow:
    0 30px 70px rgba(0,0,0,0.5);

}



/* Lumière animée */

.about-glow{

    position:absolute;

    width:200px;

    height:200px;

    background:#f97316;

    filter:blur(120px);

    top:-50px;

    right:-50px;

    animation:moveGlow 5s infinite alternate;

}


@keyframes moveGlow{

    from{

        transform:translate(0,0);

    }


    to{

        transform:translate(-100px,100px);

    }

}



.about-content{

    position:relative;

    z-index:2;

}



.about-content p{

    font-size:19px;

    line-height:2;

    color:#d1d5db;

    margin-bottom:25px;

    opacity:0;

    transform:translateX(-50px);

    animation:showText 1s forwards;

}


.about-content p:nth-child(2){

    animation-delay:.2s;

}


.about-content p:nth-child(3){

    animation-delay:.4s;

}


.about-content p:nth-child(4){

    animation-delay:.6s;

}
.about-info{

    display:flex;
    gap:30px;
    margin-top:40px;

}


.about-info div{

    background:#0f172a;
    padding:25px;
    border-radius:15px;
    flex:1;

}


.about-info h4{

    color:#f97316;
    margin-bottom:10px;

}


.about-info span{

    color:white;

}



@keyframes showText{

    to{

        opacity:1;

        transform:translateX(0);

    }

}

@keyframes slideUp{

    from{

        opacity:0;
        transform:translateY(50px);

    }

    to{

        opacity:1;
        transform:translateY(0);

    }

}
.hidden{

    opacity:0;

    filter:blur(10px);

    transform:translateY(80px);

}


.show{

    opacity:1;

    filter:blur(0);

    transform:translateY(0);

    transition:
    1s cubic-bezier(.17,.67,.45,1.2);

}

.contact{

    padding:120px 8%;

    background:#111827;

}



.contact-title{

    text-align:center;

    max-width:700px;

    margin:auto;

}



.contact-title span{

    color:#f97316;

    letter-spacing:5px;

}



.contact-title h2{

    font-size:50px;

    margin:20px 0;

}



.contact-title p{

    color:#d1d5db;

    font-size:18px;

    line-height:1.8;

}




.contact-container{

    display:flex;

    gap:50px;

    margin-top:70px;

    align-items:center;

}



.contact-info{

    flex:1;

}



.contact-card{

    background:rgba(255,255,255,0.05);

    padding:25px;

    border-radius:20px;

    margin-bottom:25px;

    border:1px solid rgba(255,255,255,0.1);

    transition:.5s;

    cursor:pointer;

}



.contact-card:hover{

    transform:translateX(20px);

    background:#f97316;

}



.contact-card h3{

    margin-bottom:10px;

}





.contact-form{

    flex:1;

    background:rgba(255,255,255,0.05);

    padding:40px;

    border-radius:30px;

    backdrop-filter:blur(20px);

}



.contact-form input,
.contact-form textarea{


    width:100%;

    padding:18px;

    margin-bottom:20px;

    background:#0f172a;

    border:none;

    border-radius:15px;

    color:white;

    outline:none;

    transition:.4s;


}



.contact-form input:focus,
.contact-form textarea:focus{


    transform:scale(1.03);

    box-shadow:0 0 20px #f97316;


}



.contact-form textarea{

    height:150px;

    resize:none;

}



.contact-form button{


    width:100%;

    padding:18px;

    border:none;

    border-radius:30px;

    background:#f97316;

    color:white;

    font-size:17px;

    cursor:pointer;

    transition:.4s;


}



.contact-form button:hover{

    transform:scale(1.05);

    box-shadow:0 0 40px #f97316;

}
.social-links{

    display:flex;
    gap:25px;
    margin-top:15px;

}



.social-links a{

    width:50px;
    height:50px;

    display:flex;
    justify-content:center;
    align-items:center;

    border-radius:50%;

    background:#0f172a;

    color:white;

    font-size:25px;

    transition:.5s;

}



.social-links a:hover{

    background:#f97316;

    transform:
    translateY(-10px)
    rotate(10deg);

    box-shadow:
    0 0 30px #f97316;

}
.projects{

    padding:120px 8%;

}



.projects-title{

    text-align:center;

    margin-bottom:70px;

}


.projects-title span{

    color:#f97316;

    letter-spacing:5px;

}


.projects-title h2{

    font-size:50px;

    margin:20px 0;

}


.projects-title p{

    color:#d1d5db;

    font-size:18px;

}



.projects-container{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:35px;

}



.project-card{

    background:rgba(255,255,255,0.05);

    border-radius:25px;

    overflow:hidden;

    border:1px solid rgba(255,255,255,0.1);

    transition:.6s;

    cursor:pointer;

}



.project-card:hover{

    transform:
    translateY(-20px)
    rotateX(5deg);

    box-shadow:

    0 30px 60px rgba(0,0,0,.5);

}



.project-image{

    padding:40px;

    perspective:1200px;

}



.device{

    background:#111827;

    border-radius:20px;

    overflow:hidden;

    transform:
    rotateX(8deg)
    rotateY(-5deg);

    box-shadow:

    0 40px 80px rgba(0,0,0,.6);

    transition:.7s;

}



.device:hover{

    transform:

    rotateX(0)
    rotateY(0)
    translateY(-20px)
    scale(1.04);

}



.screen-top{

    height:45px;

    background:#1e293b;

    display:flex;

    align-items:center;

    padding:0 15px;

    gap:20px;

}



.dots{

    display:flex;

    gap:8px;

}



.dots span{

    width:12px;

    height:12px;

    border-radius:50%;

    background:#f97316;

}



.address{

    flex:1;

    background:#0f172a;

    border-radius:10px;

    padding:7px;

    text-align:center;

    font-size:12px;

    color:#94a3b8;

}



.screen{

    background:white;

    overflow:hidden;

}



.screen img{

    width:100%;

    height:380px;

    object-fit:contain;

    display:block;

    transition:.7s;

}



.device:hover img{

    transform:scale(1.05);

}




.project-card:hover img{

    transform:scale(1.15);

}



.project-content{

    padding:30px;

}



.project-content h3{

    font-size:28px;

    margin-bottom:15px;

    color:#f97316;

}



.project-content p{

    color:#d1d5db;

    line-height:1.7;

}



.tech{

    display:flex;

    gap:10px;

    margin-top:25px;

}


.tech span{

    background:#0f172a;

    padding:8px 15px;

    border-radius:20px;

    font-size:14px;

}
.browser::after{

    content:"";

    position:absolute;

    inset:0;

    background:
    linear-gradient(
    120deg,
    transparent,
    rgba(255,255,255,.15),
    transparent
    );

    transform:translateX(-100%);

    transition:.8s;

}


.browser:hover::after{

    transform:translateX(100%);

}



.device{

    position:relative;

}


.device::after{

    content:"";

    position:absolute;

    top:0;

    left:-100%;

    width:50%;

    height:100%;

    background:
    linear-gradient(
    120deg,
    transparent,
    rgba(255,255,255,.25),
    transparent
    );

    transition:.8s;

}



.device:hover::after{

    left:150%;

}


.services{

    padding:120px 8%;

}



.services-title{

    text-align:center;

    margin-bottom:70px;

}


.services-title span{

    color:#f97316;

    letter-spacing:5px;

}


.services-title h2{

    font-size:50px;

    margin:20px 0;

}


.services-title p{

    color:#d1d5db;

    font-size:18px;

    max-width:700px;

    margin:auto;

}



.services-container{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:35px;

}



.service-card{


    position:relative;

    background:rgba(255,255,255,0.05);

    padding:40px 30px;

    border-radius:30px;

    border:1px solid rgba(255,255,255,.1);

    transition:.6s;

    overflow:hidden;

}



.service-card:hover{

    transform:

    translateY(-20px)
    rotateY(8deg);

    box-shadow:

    0 30px 70px rgba(0,0,0,.5);

}



.service-icon i{

    font-size:45px;

    color:#f97316;

    margin-bottom:25px;

}



.service-card h3{

    font-size:28px;

}


.service-card h4{

    color:#f97316;

    margin:20px 0;

}



.service-card p{

    color:#d1d5db;

    line-height:1.7;

}



.service-card ul{

    list-style:none;

    margin:25px 0;

    color:white;

    line-height:2;

}



.service-card a{

    display:inline-block;

    padding:12px 25px;

    border-radius:30px;

    background:#f97316;

    color:white;

    text-decoration:none;

    transition:.4s;

}



.service-card a:hover{

    transform:scale(1.1);

    box-shadow:0 0 30px #f97316;

}





.popular{

    border:2px solid #f97316;

    transform:translateY(-20px);

}



.badge{

    position:absolute;

    top:20px;

    right:20px;

    background:#f97316;

    padding:8px 15px;

    border-radius:20px;

    font-size:13px;

}

.menu-btn{

    display:none;

    font-size:30px;

    color:white;

    cursor:pointer;

}




@media(max-width:900px){


header{

    padding:20px 6%;

}



.menu-btn{

    display:block;

}



.nav-links{


    position:fixed;

    top:0;

    right:-100%;


    width:75%;

    height:100vh;


    background:#111827;


    display:flex;

    flex-direction:column;

    justify-content:center;

    align-items:center;


    gap:40px;


    transition:.6s;


}



.nav-links.active{

    right:0;

}



.nav-links li a{

    font-size:22px;

}



.hero{


    flex-direction:column;

    text-align:center;

    padding-top:150px;


}



.hero h1{

    font-size:35px;

}



.hero h2{

    font-size:24px;

}



.hero-image img{

    width:280px;

    height:280px;

}



.about h2,
.services-title h2,
.projects-title h2,
.contact-title h2{

    font-size:35px;

}



.about-box{

    padding:30px;

}



.services-container,
.projects-container{


    grid-template-columns:1fr;


}



.contact-container{

    flex-direction:column;

}



.contact-form{

    width:100%;

}



.stats{

    flex-direction:column;

}



}

.loader{

    position:fixed;

    top:0;

    left:0;

    width:100%;

    height:100vh;

    background:#020617;

    display:flex;

    justify-content:center;

    align-items:center;

    z-index:9999;

    transition:1s;

}



.loader-content{

    text-align:center;

}



.loader-content h1{

    font-size:60px;

    color:white;

    letter-spacing:3px;

    animation:
    loaderText 1.5s infinite alternate;

}



.loader-content p{

    color:#f97316;

    font-size:18px;

    margin-top:15px;

}



.loader-bar{

    width:200px;

    height:4px;

    background:#1e293b;

    margin:30px auto;

    border-radius:20px;

    overflow:hidden;

    position:relative;

}



.loader-bar::after{

    content:"";

    position:absolute;

    height:100%;

    width:50%;

    background:#f97316;

    animation:
    loading 1.5s infinite;

}





@keyframes loading{


    from{

        left:-50%;

    }


    to{

        left:100%;

    }

}




@keyframes loaderText{


    from{

        transform:translateY(0);

        opacity:.5;

    }


    to{

        transform:translateY(-15px);

        opacity:1;

    }

}




.loader.hide{

    opacity:0;

    visibility:hidden;

}
.footer{

    background:#020617;

    padding:80px 8% 30px;

    position:relative;

    border-top:1px solid rgba(255,255,255,.1);

}



.footer-container{

    display:grid;

    grid-template-columns:2fr 1fr 1fr;

    gap:50px;

}



.footer h2{

    font-size:35px;

    color:#f97316;

}



.footer h3{

    margin-bottom:20px;

}



.footer p{

    color:#94a3b8;

    line-height:1.7;

}



.footer-links{

    display:flex;

    flex-direction:column;

    gap:15px;

}



.footer-links a{

    color:white;

    text-decoration:none;

    transition:.3s;

}



.footer-links a:hover{

    color:#f97316;

    transform:translateX(10px);

}



.social-icons{

    display:flex;

    gap:20px;

}



.social-icons a{

    width:45px;

    height:45px;

    display:flex;

    justify-content:center;

    align-items:center;

    background:#111827;

    color:white;

    border-radius:50%;

    font-size:20px;

    transition:.5s;

}



.social-icons a:hover{

    background:#f97316;

    transform:translateY(-10px);

}



.footer-bottom{

    text-align:center;

    margin-top:50px;

    padding-top:25px;

    border-top:1px solid rgba(255,255,255,.1);

}



.back-top{

    position:absolute;

    right:8%;

    top:-25px;

    width:55px;

    height:55px;

    border:none;

    border-radius:50%;

    background:#f97316;

    color:white;

    font-size:20px;

    cursor:pointer;

    transition:.5s;

}



.back-top:hover{

    transform:translateY(-10px);

    box-shadow:0 0 30px #f97316;

}
@media(max-width:900px){


    .footer{

        padding:60px 6% 30px;

        text-align:center;

    }



    .footer-container{

        grid-template-columns:1fr;

        gap:40px;

    }



    .footer-brand h2{

        font-size:30px;

    }



    .footer-links{

        align-items:center;

    }



    .footer-links a:hover{

        transform:none;

    }



    .social-icons{

        justify-content:center;

    }



    .back-top{

        right:50%;

        transform:translateX(50%);

        top:-25px;

    }



}

/* =========================
   ANIMATION SCROLL
========================= */


.reveal,
section{


    opacity:0;


    transform:translateY(70px);


    transition:

    opacity .8s ease,

    transform .8s ease;


}



.reveal.active,
section.active{


    opacity:1;


    transform:translateY(0);


}

/* Apparition décalée des cartes */


.service-card:nth-child(2),
.project-card:nth-child(2){

    transition-delay:.2s;

}



.service-card:nth-child(3),
.project-card:nth-child(3){

    transition-delay:.4s;

}



.service-card:nth-child(4){

    transition-delay:.6s;

}

.success-message{


    position:fixed;

    top:30px;

    right:30px;

    z-index:9999;


    display:flex;

    align-items:center;

    gap:20px;


    background:rgba(15,23,42,.85);

    backdrop-filter:blur(15px);


    border:1px solid rgba(255,255,255,.1);


    padding:20px 30px;


    border-radius:20px;


    box-shadow:

    0 20px 50px rgba(0,0,0,.4);


    animation:

    successShow .6s ease forwards;


}



.success-icon{


    width:50px;

    height:50px;


    display:flex;

    justify-content:center;

    align-items:center;


    background:#22c55e;


    border-radius:50%;


    color:white;

    font-size:22px;


}



.success-message h3{


    color:white;

    margin:0 0 5px;


}


.success-message{

    display:flex !important;

}
.success-message p{


    color:#cbd5e1;

    margin:0;


}



@keyframes successShow{


    from{


        opacity:0;

        transform:translateX(100px);


    }


    to{


        opacity:1;

        transform:translateX(0);


    }


}
